searchNodes=[{"doc":"Utilities to improve usage of Postgresql JSONb columns with Ecto.","ref":"EctoPostgresJson.html","title":"EctoPostgresJson","type":"module"},{"doc":"Provides a json_index/3 function to pass to Ecto migration to handle the creation of JSONb Indexes.","ref":"EctoPostgresJson.Index.html","title":"EctoPostgresJson.Index","type":"module"},{"doc":"Returns an index struct that can be given to Ecto.Migration create/1 , drop/1 , etc. Expects the table name as the first argument and the field(s) as the second. The fields can be atoms, representing the JSONb column name, or a list of strings, representing the JSONb column name + JSON attributes to index. Options :name - the name of the index. Defaults to &quot;\#{&quot;idxgin&quot; | &quot;idxginp&quot;}\#{table}_\#{fields}&quot;. :unique - indicates whether the index should be unique. Defaults to false . :concurrently - indicates whether the index should be created/dropped concurrently. :prefix - specify an optional prefix for the index. :where - specify conditions for a partial index. :comment - adds a comment to the index. Examples With no name provided, the name of the below index defaults to idxginp_products_category : create json_index ( &quot;products&quot; , :category ) The name can also be set explicitly: create json_index ( &quot;products&quot; , :category , name : :my_special_name ) With no name provided, the name of the below index defaults to idxgin_products_category_tags : create json_index ( &quot;products&quot; , [ &quot;category&quot; , &quot;tags&quot; ] ) Partial indexes are created by specifying a :where option, note that you need to use the necessary JSONb expressions: create json_index ( &quot;account&quot; , :email_provider , where : &quot;email_provider #&gt;&gt; &#39;{email_provider,google,smtp_host}&#39; = &#39;smtp.gmail.com&#39;&quot; , name : :gmail_provider_index )","ref":"EctoPostgresJson.Index.html#json_index/3","title":"EctoPostgresJson.Index.json_index/3","type":"function"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog , and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - [Unreleased]","type":"extras"},{"doc":"Updates docs and project structure.","ref":"changelog.html#v0-1-1-2022-06-06","title":"Changelog - v0.1.1 - 2022-06-06","type":"extras"},{"doc":"Initial public release.","ref":"changelog.html#v0-1-0-2022-05-22","title":"Changelog - v0.1.0 - 2022-05-22","type":"extras"},{"doc":"Copyright (c) 2022 Eduardo Moraga Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice (including the next paragraph) shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"Ecto utilities to work with PostgreSQL JSONb columns.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"Provides a json_index/3 function to use alongside Ecto migrations that handles the creation of key and column GIN based indexes for JSONb columns.","ref":"readme.html#indexes","title":"Overview - Indexes","type":"extras"},{"doc":"The package can be installed by adding :ecto_postgres_json to deps/0 function in mix.exs : { :ecto_postgres_json , &quot;~&gt; 0.1.0&quot; } ,","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"Import the utility module in your migration: defmodule MyApp.Repo.Migrations.CreatePosts do use Ecto.Migration import EctoPostgresJson.Index ... end Define indexes using EctoPostgresJson.Index.json_index/3 : defmodule MyApp.Repo.Migrations.CreatePosts do ... def change do create table ( :posts ) do add :name , :string add :payload , :map timestamps ( ) end create json_index ( :posts , :payload ) create json_index ( :posts , [ &quot;payload&quot; , &quot;tags&quot; ] , name : :post_tags_index ) end end","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"Copyright (c) 2022 Eduardo Moraga This work is free. You can redistribute it and/or modify it under the terms of the MIT License. See the LICENSE.md file for more details.","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]